View Issue Details

IDProjectCategoryView StatusLast Update
0000192file[All Projects] Generalpublic2020-09-05 14:31
ReporternealAssigned Tochristos 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version5.40 
Summary0000192: Typo in magic file
Descriptionmsooxml contains a pretty obvious typo: like the other formats, the visio match should be a subcontinuation, not a top-level continuation. (Note: I haven't tested this.)
TagsNo tags attached.

Activities

neal

2020-08-26 20:45

reporter  

0003-Fix-magic.patch (885 bytes)
From a6bbc8b1d5e5761eb010d460614af297cf2b5c61 Mon Sep 17 00:00:00 2001
From: "Neal H. Walfield" <neal@gnu.org>
Date: Wed, 26 Aug 2020 22:43:30 +0200
Subject: [PATCH 3/3] Fix magic.

  - A top-level continuation should be a sub-continuation.
---
 magic/Magdir/msooxml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/magic/Magdir/msooxml b/magic/Magdir/msooxml
index 620d5e13..c0d52ee3 100644
--- a/magic/Magdir/msooxml
+++ b/magic/Magdir/msooxml
@@ -19,7 +19,7 @@
 !:mime application/vnd.openxmlformats-officedocument.presentationml.presentation
 >0		string		xl/		Microsoft Excel 2007+
 !:mime application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
-0		string		visio/		Microsoft Visio 2013+
+>0		string		visio/		Microsoft Visio 2013+
 !:mime application/vnd.ms-visio.drawing.main+xml
 
 # start by checking for ZIP local file header signature
-- 
2.20.1

0003-Fix-magic.patch (885 bytes)

christos

2020-09-05 14:31

manager   ~0003475

Fixed, thanks!

Issue History

Date Modified Username Field Change
2020-08-26 20:45 neal New Issue
2020-08-26 20:45 neal File Added: 0003-Fix-magic.patch
2020-09-05 14:30 christos Assigned To => christos
2020-09-05 14:30 christos Status new => assigned
2020-09-05 14:31 christos Status assigned => resolved
2020-09-05 14:31 christos Resolution open => fixed
2020-09-05 14:31 christos Fixed in Version => 5.40
2020-09-05 14:31 christos Note Added: 0003475